Subject: bug#17833: coreutils 8.22 df

From: Pádraig Brady <[email-masked]>
Date: Fri, 11 Jul 2014 09:32:50 +0100

On 07/11/2014 01:20 AM, Bernhard Voelker wrote:
> On 07/11/2014 01:28 AM, Pádraig Brady wrote:
>> Subject: [PATCH] df: give precedence to real device nodes
>>
>> This is significant when /etc/mtab is a real file
>> rather than a symlink to /proc/mounts, [...]
> 
> In the days we almost start thinking about to switch to
> /proc/self/mountinfo for df like mount/util-linux has done long
> time ago, I'm not sure if we should support such old (or broken?)
> systems.
> Presumably the version of mount is also quite old on such a system,
> and now we would add complexity to current df to work around the
> problems of such old mount?
> After all, it's just one stat() more, so I'm 50:50.

Fair point.

Also there is a bigger issue with this.
Consider a local mount point, which is then eclipsed
with an NFS mount for example. With this patch we'd
ignore the NFS mount, which is incorrect.

Given we already display the correct storage sizes,
and this is only on older systems not using /proc/mounts,
I'm leaning towards not handling this particular edge case.

thanks,
Pádraig.